C# UX NXOpen 二次开发 选择对话框theUI.SelectionManager.SelectObject

z样式如下:

 


1、选择面对话框

        /// <summary>
        /// 选择面对话框
        /// </summary>
        /// <param name="obj">返回被选中面</param>
        public void SelectFace(out NXObject obj)
        {
            UI theUI = UI.GetUI();
            string message = "请选择面";
            string title = "请选择面";
            Selection.SelectionScope scope = Selection.SelectionScope.WorkPart;
            bool keepHighlighted = false;
            Selection.SelectionType[] typeArray = new Selection.SelectionType[1] { Selection.SelectionType.Faces };
            Point3d cursor;
            theUI.SelectionManager.SelectObject(message, title, scope, keepHighlighted, typeArray, out obj, out cursor);
        }
        /// <summary>
        /// 选择面对话框
        /// </summary>
        /// <param name="selected_face">返回被选中面</param>
        public void SelectFace(out Face selected_face)
        {
            try
            {
                UI theUI = UI.GetUI();
                NXObject obj;
                string message = "请选择面";
                string title = "请选择叶身底面";
                Selection.SelectionScope scope = Selection.SelectionScope.WorkPart;
                bool keepHighlighted = false;
                Selection.SelectionType[] typeArray = new Selection.SelectionType[1] { Selection.SelectionType.Faces };
                Point3d cursor;
                theUI.SelectionManager.SelectObject(message, title, scope, keepHighlighted, typeArray, out obj, out cursor);
                selected_face = (Face)obj;
            }
            catch
            {
                selected_face = null;
            }
        }

2、选择输出的特征

        /// <summary>
        /// 输出选择的特征
        /// </summary>
        /// <param name="selected_feat"></param>
        public void SelectFeature(out Feature selected_feat)
        {
            try
            {
                UI theUI = UI.GetUI();
                string message = "";
                string title = "";
                Selection.SelectionScope scope = Selection.SelectionScope.WorkPart;
                bool keepHighlighted = false;
                Selection.SelectionType[] typeArray = new Selection.SelectionType[1] { Selection.SelectionType.Features };
                Point3d cursor;
                NXObject obj;
                theUI.SelectionManager.SelectObject(message, title, scope, keepHighlighted, typeArray, out obj, out cursor);
                selected_feat = (Feature)obj;
            }
            catch
            {
                selected_feat = null;
            }
        }

举一反三:

 

  • 1
    点赞
  • 2
    收藏
    觉得还不错? 一键收藏
  • 打赏
    打赏
  • 0
    评论

“相关推荐”对你有帮助么?

  • 非常没帮助
  • 没帮助
  • 一般
  • 有帮助
  • 非常有帮助
提交
评论
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包

打赏作者

UG NXOpen学徒

你的鼓励将是我创作的最大动力

¥1 ¥2 ¥4 ¥6 ¥10 ¥20
扫码支付:¥1
获取中
扫码支付

您的余额不足,请更换扫码支付或充值

打赏作者

实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值